ShuffleChannelHandlerContext (Apache Hadoop MapReduce Shuffle 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, class: ShuffleChannelHandlerContext

Package org.apache.hadoop.mapred

# Class ShuffleChannelHandlerContext

java.lang.Object
org.apache.hadoop.mapred.ShuffleChannelHandlerContext

public class ShuffleChannelHandlerContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AtomicInteger`
  `activeConnections`
  `final io.netty.channel.group.ChannelGroup`
  `allChannels`
  `final org.apache.hadoop.conf.Configuration`
  `conf`
  `final boolean`
  `connectionKeepAliveEnabled`
  `final int`
  `connectionKeepAliveTimeOut`
  `final org.apache.hadoop.mapred.IndexCache`
  `indexCache`
  `final boolean`
  `manageOsCache`
  Should the shuffle use posix_fadvise calls to manage the OS cache during sendfile.
  `final int`
  `mapOutputMetaInfoCacheSize`
  `final int`
  `maxSessionOpenFiles`
  `final int`
  `maxShuffleConnections`
  `final org.apache.hadoop.mapred.ShuffleHandler.ShuffleMetrics`
  `metrics`
  `final org.apache.hadoop.thirdparty.com.google.common.cache.LoadingCache<org.apache.hadoop.mapred.ShuffleHandler.AttemptPathIdentifier,org.apache.hadoop.mapred.ShuffleHandler.AttemptPathInfo>`
  `pathCache`
  `int`
  `port`
  `final int`
  `readaheadLength`
  `final org.apache.hadoop.io.ReadaheadPool`
  `readaheadPool`
  `final org.apache.hadoop.mapreduce.security.token.JobTokenSecretManager`
  `secretManager`
  `final int`
  `shuffleBufferSize`
  `final boolean`
  `shuffleTransferToAllowed`
  `final int`
  `sslFileBufferSize`
  `final Map<String,String>`
  `userRsrc`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShuffleChannelHandlerContext(org.apache.hadoop.conf.Configuration conf, Map<String,String> userRsrc, org.apache.hadoop.mapreduce.security.token.JobTokenSecretManager secretManager, org.apache.hadoop.thirdparty.com.google.common.cache.LoadingCache<org.apache.hadoop.mapred.ShuffleHandler.AttemptPathIdentifier,org.apache.hadoop.mapred.ShuffleHandler.AttemptPathInfo> patCache, org.apache.hadoop.mapred.IndexCache indexCache, org.apache.hadoop.mapred.ShuffleHandler.ShuffleMetrics metrics, io.netty.channel.group.ChannelGroup allChannels)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### conf

    public final org.apache.hadoop.conf.Configuration conf

  - ### secretManager

    public final org.apache.hadoop.mapreduce.security.token.JobTokenSecretManager secretManager

  - ### userRsrc

    public final Map<String,String> userRsrc

  - ### pathCache

    public final org.apache.hadoop.thirdparty.com.google.common.cache.LoadingCache<org.apache.hadoop.mapred.ShuffleHandler.AttemptPathIdentifier,org.apache.hadoop.mapred.ShuffleHandler.AttemptPathInfo> pathCache

  - ### indexCache

    public final org.apache.hadoop.mapred.IndexCache indexCache

  - ### metrics

    public final org.apache.hadoop.mapred.ShuffleHandler.ShuffleMetrics metrics

  - ### allChannels

    public final io.netty.channel.group.ChannelGroup allChannels

  - ### connectionKeepAliveEnabled

    public final boolean connectionKeepAliveEnabled

  - ### sslFileBufferSize

    public final int sslFileBufferSize

  - ### connectionKeepAliveTimeOut

    public final int connectionKeepAliveTimeOut

  - ### mapOutputMetaInfoCacheSize

    public final int mapOutputMetaInfoCacheSize

  - ### activeConnections

    public final AtomicInteger activeConnections

  - ### manageOsCache

    public final boolean manageOsCache
    Should the shuffle use posix_fadvise calls to manage the OS cache during sendfile.

  - ### readaheadLength

    public final int readaheadLength

  - ### maxShuffleConnections

    public final int maxShuffleConnections

  - ### shuffleBufferSize

    public final int shuffleBufferSize

  - ### shuffleTransferToAllowed

    public final boolean shuffleTransferToAllowed

  - ### maxSessionOpenFiles

    public final int maxSessionOpenFiles

  - ### readaheadPool

    public final org.apache.hadoop.io.ReadaheadPool readaheadPool

  - ### port

    public int port

- ## Constructor Details

  - ### ShuffleChannelHandlerContext

    public ShuffleChannelHandlerContext(org.apache.hadoop.conf.Configuration conf, Map<String,String> userRsrc, org.apache.hadoop.mapreduce.security.token.JobTokenSecretManager secretManager, org.apache.hadoop.thirdparty.com.google.common.cache.LoadingCache<org.apache.hadoop.mapred.ShuffleHandler.AttemptPathIdentifier,org.apache.hadoop.mapred.ShuffleHandler.AttemptPathInfo> patCache, org.apache.hadoop.mapred.IndexCache indexCache, org.apache.hadoop.mapred.ShuffleHandler.ShuffleMetrics metrics, io.netty.channel.group.ChannelGroup allChannels)